curl --request POST \
--url https://api.instantly.ai/api/v2/dfy-email-account-orders/domains/pre-warmed-up-list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"extensions": [
"com",
"org",
"co"
],
"search": "acme.com"
}
'import requests
url = "https://api.instantly.ai/api/v2/dfy-email-account-orders/domains/pre-warmed-up-list"
payload = {
"extensions": ["com", "org", "co"],
"search": "acme.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({extensions: ['com', 'org', 'co'], search: 'acme.com'})
};
fetch('https://api.instantly.ai/api/v2/dfy-email-account-orders/domains/pre-warmed-up-list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.instantly.ai/api/v2/dfy-email-account-orders/domains/pre-warmed-up-list")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"extensions\": [\n \"com\",\n \"org\",\n \"co\"\n ],\n \"search\": \"acme.com\"\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/dfy-email-account-orders/domains/pre-warmed-up-list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'extensions' => [
'com',
'org',
'co'
],
'search' => 'acme.com'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/dfy-email-account-orders/domains/pre-warmed-up-list"
payload := strings.NewReader("{\n \"extensions\": [\n \"com\",\n \"org\",\n \"co\"\n ],\n \"search\": \"acme.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"domains": [
"acme.com"
],
"domains_with_type": [
{
"domain": "acme.com",
"account_type": 2
}
]
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Get pre-warmed up domains
This endpoint will return a list of pre-warmed up domains available for order.
These domains are set up and configured in advance, allowing for quick deployment of email services.
Use this endpoint to retrieve available pre-warmed up domains before placing an order.
IMPORTANT: if the endpoint returns a list of empty domains - it’s not a bug, please don’t retry right away or report this as a bug - it simply means that there are no available pre-warmed up domains at the moment.
Requires one of the following scopes: dfy_email_account_orders:read, dfy_email_account_orders:all, all:read, all:all
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
This endpoint does not require any parameters in the request body.
This endpoint does not require any parameters in the request body.